export class Removed {
    afterNewLineNumber;
    oldStartLineNumber;
    oldEndLineNumber;
    constructor(afterNewLineNumber, oldStartLineNumber, oldEndLineNumber) {
        this.afterNewLineNumber = afterNewLineNumber;
        this.oldStartLineNumber = oldStartLineNumber;
        this.oldEndLineNumber = oldEndLineNumber;
    }
    isRemoved(lineNumber) {
        return this.oldStartLineNumber <= lineNumber && lineNumber <= this.oldEndLineNumber;
    }
    get lineNumbers() {
        const lineNumbers = [];
        for (let i = this.oldStartLineNumber; i <= this.oldEndLineNumber; i++) {
            lineNumbers.push(i);
        }
        return lineNumbers;
    }
}
