import {} from 'highlight.js';
export function hljsRegisterLanguages(hljs, languages) {
    for (const language of languages) {
        hljs.registerLanguage(language.name, language.fn);
    }
}
export function highlightText(hljs, text, language) {
    if (language === undefined) {
        return hljs.highlightAuto(text);
    }
    return hljs.highlight(text, { language: language.name });
}
